%define name	perl-Term-ReadKey
%define version	2.21
%define release	1mdk

Summary:	Term::ReadKey Perl module
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Development/Perl
Source0:	TermReadKey-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This module, ReadKey, provides ioctl control for terminals so the
input modes can be changed (thus allowing reads of a single character
at a time), and also provides non-blocking reads of stdin, as well as
several other terminal related features, including
retrieval/modification of the screen size, and retrieval/modification
of the control characters.

%prep
%setup -q -n TermReadKey-%{version}

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=%{buildroot}%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Fri Jan 17 2003 Austin Acton <aacton@yorku.ca> 2.21-1mdk
- initial package
